## ros-noetic-rospack 2.6.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rospack)

find_package(catkin REQUIRED COMPONENTS cmake_modules)
find_package(Boost REQUIRED COMPONENTS filesystem program_options system)
set(Python_ADDITIONAL_VERSIONS "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}")
find_package(PythonLibs "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}" REQUIRED)
find_package(TinyXML2 REQUIRED)

set(package_libraries rospack)
if(NOT APPLE)
  list(APPEND package_libraries ${PYTHON_LIBRARIES})
endif()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${package_libraries}
  DEPENDS Boost TinyXML2
)

#add_definitions(-Wall)

set(API_BACKCOMPAT_V1 "YES" CACHE BOOL "Whether to enable backwards compatibility with old C++ API")
if(API_BACKCOMPAT_V1)
  add_definitions(-DROSPACK_API_BACKCOMPAT_V1)
  set(backcompat_source src/rospack_backcompat.cpp)
endif()

include_directories(include ${TinyXML2_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${PYTHON_INCLUDE_DIRS})

add_library(rospack
  src/rospack.cpp
  ${backcompat_source}
  src/rospack_cmdline.cpp
  src/utils.cpp
)
target_link_libraries(rospack ${TinyXML2_LIBRARIES} ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})

add_executable(rospackexe src/rospack_main.cpp)
# Set the name, and make it a "global" executable
set_target_properties(rospackexe PROPERTIES
  OUTPUT_NAME rospack
  RUNTIME_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/bin)
target_link_libraries(rospackexe rospack ${Boost_LIBRARIES})
add_executable(rosstackexe src/rosstack_main.cpp)
target_link_libraries(rosstackexe rospack ${Boost_LIBRARIES})
# Set the name, and make it a "global" executable
set_target_properties(rosstackexe PROPERTIES
  OUTPUT_NAME rosstack
  RUNTIME_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/bin)

install(TARGETS rospack rospackexe rosstackexe
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

# uninstall target
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)
add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

if(DOXYGEN_FOUND)
  add_custom_target(rospack-docs
    COMMAND doxygen Doxyfile
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR})
endif()

## ros-noetic-rospack 2.6.2

=== debian/changelog ===
ros-noetic-rospack (2.6.2-1focal) focal; urgency=high

  * fix umask for rospack cache files, regression from 2.5.4 (#119 <https://github.com/ros/rospack/issues/119>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 May 2020 07:00:00 -0000

ros-noetic-rospack (2.6.1-1focal) focal; urgency=high

  * best effort output on error (#113 <https://github.com/ros/rospack/issues/113>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Apr 2020 07:00:00 -0000

ros-noetic-rospack (2.6.0-1focal) focal; urgency=high

  * declare specific boost dependencies (#115 <https://github.com/ros/rospack/issues/115>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 02 Mar 2020 08:00:00 -0000

ros-noetic-rospack (2.5.5-1focal) focal; urgency=high

  * bump to CMake 3.0.2 to avoid CMP0048 warning (#114 <https://github.com/ros/rospack/issues/114>)
  * only depend on catkin_pkg/rosdep-modules (#109 <https://github.com/ros/rospack/issues/109>)
  * rework validateCache for portability. (#108 <https://github.com/ros/rospack/issues/108>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Jan 2020 08:00:00 -0000

ros-noetic-rospack (2.5.4-1focal) focal; urgency=high

  * use condition attributes to specify Python 2 and 3 dependencies (#107 <https://github.com/ros/rospack/issues/107>)
  * for fixing potential TOCTOU issue (#104 <https://github.com/ros/rospack/issues/104>)
  * fixing mkstemp without securely setting mask/unmask (#106 <https://github.com/ros/rospack/issues/106>)
  * fixing code unreachable (#105 <https://github.com/ros/rospack/issues/105>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 03 Oct 2019 07:00:00 -0000

ros-noetic-rospack (2.5.3-1focal) focal; urgency=high

  * enable to run rosstack depends for wetpackages (#91 <https://github.com/ros/rospack/issues/91>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Mar 2019 08:00:00 -0000

ros-noetic-rospack (2.5.2-1focal) focal; urgency=high

  * add delete whitespace settings for backward compatibility, regression from 2.4.0 (#94 <https://github.com/ros/rospack/issues/94>)
  * fix build issue on Windows (#90 <https://github.com/ros/rospack/issues/90>)
  * use namespace to avoid name conflict between tinyxml2 and msxml (#89 <https://github.com/ros/rospack/issues/89>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 05 Sep 2018 07:00:00 -0000

ros-noetic-rospack (2.5.1-1focal) focal; urgency=high

  * add run_depend on ros_environment (#88 <https://github.com/ros/rospack/issues/88>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 31 May 2018 07:00:00 -0000

ros-noetic-rospack (2.5.0-1focal) focal; urgency=high

  * skip warning if permission to read directory was denied (#87 <https://github.com/ros/rospack/issues/87>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 30 Jan 2018 08:00:00 -0000

ros-noetic-rospack (2.4.3-1focal) focal; urgency=high

  * add README.md with notes about tinyxml2 (#82 <https://github.com/ros/rospack/issues/82>)
  * replace references to deprecated Boost.TR1 (#80 <https://github.com/ros/rospack/issues/80>)
  * fix Python.h redefining pre-processor definitions (#78 <https://github.com/ros/rospack/issues/78>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 12 Oct 2017 07:00:00 -0000

ros-noetic-rospack (2.4.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-noetic-rospack (2.4.1-1focal) focal; urgency=high

  * fix inverted result code check, regression from 2.4.0 (#70 <https://github.com/ros/rospack/issues/70>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Feb 2017 08:00:00 -0000

ros-noetic-rospack (2.4.0-1focal) focal; urgency=high

  * make some deps* functions public (#65 <https://github.com/ros/rospack/pull/65>)
  * switch from TinyXML to TinyXML2 (#62 <https://github.com/ros/rospack/pull/62>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 08:00:00 -0000

ros-noetic-rospack (2.3.2-1focal) focal; urgency=high

  * add license field in Stackage class (#66 <https://github.com/ros/rospack/issues/66>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Feb 2017 08:00:00 -0000

ros-noetic-rospack (2.3.1-1focal) focal; urgency=high

  * fix FTBFS on hurd-i386 (#64 <https://github.com/ros/rospack/issues/64>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 02 Sep 2016 07:00:00 -0000

ros-noetic-rospack (2.3.0-1focal) focal; urgency=high

  * allow caching of rospack results (#49 <https://github.com/ros/rospack/issues/49>)
  * fix memory leak in Rosstackage::addStackage (#59 <https://github.com/ros/rospack/issues/59>)
  * return false in depsOnDetail if the package name in rospack plugins can not be found (#51 <https://github.com/ros/rospack/issues/51>)
  * #undef symbols before #defining them to avoid preprocessor warnings in the case that they were already #defined (#50 <https://github.com/ros/rospack/issues/50>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Mar 2016 08:00:00 -0000

ros-noetic-rospack (2.2.5-1focal) focal; urgency=high

  * support tags defined in package format 2 (#43 <https://github.com/ros/rospack/issues/43>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 04 Sep 2014 07:00:00 -0000

ros-noetic-rospack (2.2.4-1focal) focal; urgency=high

  * fix find_package(PythonLibs ...) with CMake 3 (#42 <https://github.com/ros/rospack/issues/42>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 07:00:00 -0000

ros-noetic-rospack (2.2.3-1focal) focal; urgency=high

  * find library for exact Python version (even if not in CMake provided list of version numbers) (#40 <https://github.com/ros/rospack/issues/40>)
  * find TinyXML using cmake_modules (#24 <https://github.com/ros/rospack/issues/24>)
  * make error messages tool specific (rospack vs. rosstack) (#38 <https://github.com/ros/rospack/issues/38>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-noetic-rospack (2.2.2-1focal) focal; urgency=high



=== debian/control ===
Source: ros-noetic-rospack
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libgtest-dev, libtinyxml2-dev, pkg-config, python3-coverage, python3-dev, ros-noetic-catkin (>= 0.5.68), ros-noetic-cmake-modules
Homepage: http://wiki.ros.org/rospack
Standards-Version: 3.9.2

Package: ros-noetic-rospack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-filesystem-dev, libboost-program-options-dev, libboost-system-dev, libtinyxml2-dev, pkg-config, python3-catkin-pkg-modules, python3-dev, python3-rosdep-modules, ros-noetic-ros-environment
Description: ROS Package Tool

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rospack//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
